/**
 * @file Serial.h
 * @brief Provides Arduino Serial funtions on the Propeller
 *
 * Copyright (c) 2013 by Martin Heermance
 * MIT Licensed
 */

#ifndef Serial_h
#define Serial_h

#include "Stream.h"
#include "simpletext.h"
#include "fdserial.h"

class Serial_ : public Stream
{
public:
  void setdevice(fdserial *dev);
  int available(void);
  int peek(void);
  void begin(unsigned long baud_count);
  void end(void);
  void flush(void);
  //void println(long num);
  //void println(const char * str);
  int read(void);
  size_t write(uint8_t ch);
  size_t write(unsigned long n);
  size_t write(long n);
  size_t write(unsigned int n);
  size_t write(int n);
  operator bool();
private:
  fdserial *debug;
};
extern Serial_ Serial;
#endif